package com.inkasso.factoring.invoicemanage.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.factoring.common.entity.BaseEntity;
import com.inkasso.factoring.file.entity.FileStorageDO;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * @Description : 发票管理-财务审核-销售发票信息
 * @Author : liutao
 * @Date: 2022-3-22
 */
@TableName("c_sales_invoice_info")
public class SalesInvoiceInfo extends BaseEntity {

    /**
     * 发票基础信息表ID
     **/
    @TableField(value = "c_invoice_basic_info_id")
    private Long invoiceBasicInfoId;

    /**
     * 数量
     **/
    @NotNull(message = "数量")
    @TableField(value = "sales_invoice_num")
    private BigDecimal nvoiceNum;
    /**
     * 金额
     */
    @NotNull(message = "金额")
    @TableField(value = "amount")
    private BigDecimal amount;
    /**
     * 税额
     */
    @NotNull(message = "税额")
    @TableField(value = "tax_amount")
    private BigDecimal taxAmount;
    /**
     * 价税合计
     */
    @NotNull(message = "价税合计")
    @TableField(value = "price_tax_total")
    private BigDecimal priceTaxTotal;
    /**
     * 销售方名称
     */
    @NotNull(message = "开票日期")
    @TableField(value = "invoice_date")
    private String invoiceDate;

    /**
     * 销售发票附件
     */
    @TableField(exist = false)
    private List<FileStorageDO> salesInvoicFile;

    public Long getInvoiceBasicInfoId() {
        return invoiceBasicInfoId;
    }

    public void setInvoiceBasicInfoId(Long invoiceBasicInfoId) {
        this.invoiceBasicInfoId = invoiceBasicInfoId;
    }

    public BigDecimal getNvoiceNum() {
        return nvoiceNum;
    }

    public void setNvoiceNum(BigDecimal nvoiceNum) {
        this.nvoiceNum = nvoiceNum;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public BigDecimal getTaxAmount() {
        return taxAmount;
    }

    public void setTaxAmount(BigDecimal taxAmount) {
        this.taxAmount = taxAmount;
    }

    public BigDecimal getPriceTaxTotal() {
        return priceTaxTotal;
    }

    public void setPriceTaxTotal(BigDecimal priceTaxTotal) {
        this.priceTaxTotal = priceTaxTotal;
    }

    public String getInvoiceDate() {
        return invoiceDate;
    }

    public void setInvoiceDate(String invoiceDate) {
        this.invoiceDate = invoiceDate;
    }

    public List<FileStorageDO> getSalesInvoicFile() {
        return salesInvoicFile;
    }

    public void setSalesInvoicFile(List<FileStorageDO> salesInvoicFile) {
        this.salesInvoicFile = salesInvoicFile;
    }
}
